# Generated by Django 3.2.10 on 2021-12-22 09:20

from django.db import migrations, models


def gen_slug(apps, schema_editor):
    Tenant = apps.get_model('applications', 'Tenant')  # noqa
    for tenant in Tenant.objects.all():
        tenant.slug = f'slug-{tenant.id}'
        tenant.save(update_fields=['slug'])


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0012_registrationevent_retry_traceback'),
    ]

    operations = [
        migrations.AddField(
            model_name='tenant',
            name='slug',
            field=models.SlugField(max_length=64, null=True, unique=True, verbose_name='slug'),
        ),
        migrations.RunPython(gen_slug, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name='tenant',
            name='slug',
            field=models.SlugField(max_length=64, unique=True, verbose_name='slug'),
        ),
    ]
